#ifndef _GLOBAL_H
#define _GLOBAL_H
#if __GNUC__ >=3
#pragma GCC system_header
#endif

#include <Windows.h>

#ifdef __cplusplus
extern "C" {
#endif

#define OPENSIGN_ERROR_NONE 0
#define OPENSIGN_ERROR_DIGEST_VALUE_UNAVAILABLE 1
#define OPENSIGN_ERROR_DIGEST_SIZE_UNAVAILABLE 2
#define OPENSIGN_ERROR_HHASH_DESTROY_FAILURE 3
#define OPENSIGN_ERROR_HHASH_CREATE_FAILURE 4
#define OPENSIGN_ERROR_HHASH_SIGNATURE_VALUE_UNAVAILABLE 11
#define OPENSIGN_ERROR_HHASH_SIGNATURE_SIZE_UNAVAILABLE 13
#define OPENSIGN_ERROR_HHASH_HASHDATA_FAILURE 15
#define OPENSIGN_ERROR_HCRYPTPROV_RELEASE_FAILURE 5
#define OPENSIGN_ERROR_HCRYPTPROV_ACQUIRE_FAILURE 6
#define OPENSIGN_ERROR_CERTSTORE_OPEN_FAILURE 7
#define OPENSIGN_ERROR_CERTSTORE_CERTIFICATE_NOT_FOUND 8
#define OPENSIGN_ERROR_CERTSTORE_CLOSE_FAILURE 9
#define OPENSIGN_ERROR_CCONTEXT_PROVINFO_VALUE_UNAVAILABLE 10
#define OPENSIGN_ERROR_CCONTEXT_PROVINFO_SIZE_UNAVAILABLE 14
#define OPENSIGN_ERROR_CERTGETNAMESTRING_SIZE_FAILURE 16
#define OPENSIGN_ERROR_CERTGETNAMESTRING_VALUE_FAILURE 17
#define OPENSIGN_ERROR_MEMORY_ALLOCATION_FAILURE 18
#define OPENSIGN_ERROR_KEYUSAGE_NOT_PRESENT 19

extern int lastError;
  
  struct certificate_data {
    byte* pbCertEncoded;
    long cbCertEncoded;
    certificate_data *prev;
  };
  
#ifdef __cplusplus
}
#endif
#endif
