#ifndef _UTILS_CPP
#define _UTILS_CPP

#ifdef __cplusplus
extern "C" {
#endif

#include "utils.h"

  void reverse(byte* bArray, int sz) {
    byte p;

    for (int i=0;i<(sz/2);i++) {
      p = bArray[i];
      bArray[i] = bArray[sz-i-1];
      bArray[sz-i-1] = p;
    }
  }

  int utf16string_length(LPWSTR s) {
    int i=0;

    while ( s[i] ) {
      i++;
    }
    return i;
  }

  LPSTR utf16string_convert(LPWSTR s) {
    LPSTR r;
    int i=0;
    r = (LPSTR)malloc((utf16string_length(s)+1)*sizeof(CHAR));
    while ( s[i] ) {
      r[i] = s[i];
      i++;
    }
    r[i] = '\0';
    return r;
  }


#ifdef __cplusplus
}
#endif
#endif

