/*
    Copyright 2006 IT Practice A/S
    Copyright 2006 TDC Totalløsninger A/S
    Copyright 2006 Jens Bo Friis
    Copyright 2006 Preben Rosendal Valeur
    Copyright 2006 Carsten Raskgaard


    This file is part of OpenSign.

    OpenSign is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    (at your option) any later version.

    OpenSign is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with OpenOcesAPI; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


    Note to developers:
    If you add code to this file, please take a minute to add an additional
    copyright statement above and an additional
    @author statement below.
*/

/* $Id: Configuration.java,v 1.7 2006/07/23 21:46:35 cara Exp $ */

package org.openoces.opensign.client;

/**
 * This class defines static configuration parameters
 *
 * @author Carsten Raskgaard  <carsten@raskgaard.dk>
 */

public class Configuration {

    private static final boolean IS_BETA = true;
    private static final boolean doChecksumPlugins = true;
    private static boolean doStrip = false;

    public static boolean is_beta() {
        return IS_BETA;
    }

    public static boolean doChecksumPlugins() {
        return doChecksumPlugins;
    }

    public static boolean doStrip() {
        return doStrip;
    }

    public static void setDoStrip(boolean doStrip) {
        Configuration.doStrip = doStrip;
    }
}
