/*
    Copyright 2006 IT Practice A/S
    Copyright 2006 TDC Totalløsninger A/S
    Copyright 2006 Jens Bo Friis
    Copyright 2006 Preben Rosendal Valeur
    Copyright 2006 Carsten Raskgaard


    This file is part of OpenSign.

    OpenSign is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    (at your option) any later version.

    OpenSign is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with OpenOcesAPI; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


    Note to developers:
    If you add code to this file, please take a minute to add an additional
    copyright statement above and an additional
    @author statement below.
*/

/* $Id: NetscapeRestrictedAction.java,v 1.6 2006/06/02 18:41:51 cara Exp $ */

package org.openoces.opensign.client.applet.bootstrap.security;

import java.awt.*;
import java.io.*;
import java.net.HttpURLConnection;
import java.net.URLConnection;
import java.util.Properties;

/**
 * This interface defines restricted actions for the Netscape security model.
 * This is not actually used. We may be able to remove it completely.
 *
 * @author Preben Valeur  <prv@tdc.dk>
 */
public class NetscapeRestrictedAction extends AbstractRestrictedAction {
    public String getUserHome(){
        return null;
    }
    public String getProperty(String property) {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public FileInputStream getFileInputStream(String fileName) {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public FileInputStream getFileInputStream(File file) {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public FileOutputStream getFileOutputStream(String fileName) {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public FileOutputStream getFileOutputStream(File file) {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    // used by filelog...
    public FileOutputStream getFileOutputStream(String fileName, boolean append) {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public InputStream getResourceAsStream(Class clazz, String name) {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public boolean mkdirs(File f) {
        return false;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public boolean delete(File f) {
        return false;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public boolean exists(File f) {
        return false;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public boolean isDirectory(File f) {
        return false;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public String[] list(File dir, FilenameFilter filter) {
        return new String[0];  //To change body of implemented methods use File | Settings | File Templates.
    }

    public boolean load(String lib) {
        return false;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public boolean loadLibrary(String lib) {
        return false;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public Dialog createModalDialog(Frame parent, String title) {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public FileDialog getFileDialog(Frame parent, String title, int mode) {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public void showFileDialog(final FileDialog dialog){
        
    }

    public PrintJob getPrintJob(Frame frame, String title, Properties prefs){
        return null;
    }

    public Thread createThread(Runnable runnable) {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public void connect(URLConnection con) throws IOException {
        //To change body of implemented methods use File | Settings | File Templates.
    }
    public int getResponseCode(final HttpURLConnection con) throws IOException {
        throw new IOException("Unexpected call of getResponseCode");
    }

    public void setProperty(String name, String value) {
        // FIXME: implement me
    }

    public InputStream getInputStream(URLConnection con) {
        // FIXME: implement me
        return null;
    }

    public OutputStream getOutputStream(URLConnection con) {
        // FIXME: implement me
        return null;
    }

    public void addSSLProvider() throws IOException {
    }

    public void setDefaultSSLSocketFactory(Object sslSocketFactory) {
    }

}
