/*
<<<<<<< Resources_ca_ES.java
    Copyright 2006 IT Practice A/S
    Copyright 2006 TDC Totalløsninger A/S
    Copyright 2006 Jens Bo Friis
    Copyright 2006 Preben Rosendal Valeur
    Copyright 2006 Carsten Raskgaard


    This file is part of OpenSign.

    OpenSign is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    (at your option) any later version.

    OpenSign is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with OpenOcesAPI; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


    Note to developers:
    If you add code to this file, please take a minute to add an additional
    copyright statement above and an additional
    @author statement below.
*/

/* $Id: Resources_ca_ES.java,v 1.7 2006/10/15 08:38:20 cara Exp $ */

package org.openoces.opensign.client.applet.resources;

/**
 * ca,ES specific resource class
 *
 * @author ?  <dgarcia@ajsabadell.es>
 * @author Enric Granda  <enric dot granda at safelayer dot com>
 */

import java.util.ListResourceBundle;

public class Resources_ca_ES extends ListResourceBundle {
    /**
     * @see ListResourceBundle#getContents()
     */
    protected Object[][] getContents() {
        return contents;
    }

    static final Object[][] contents = {
        {
        "ABOUT", "Quant a..."}, {
        "ABOUT_DETAILS", "Identificació i signatura digital amb certificats OCES i suport PID-CPR"}, {
        "BACKUP_KEYFILE", "Fitxer clau de còpia de seguretat..."}, {
        "CANCEL", "Cancel·lar"}, {
        "CANCEL_MODERN", "Cancel·lar"}, {
        "CANCEL_LOGON_MODERN", "Cancel·lar"}, {
        "CERT_EMPLOYEE", "empleat"}, {
        "CERT_PERSONAL", "personal"}, {
        "CERTIFICATE_DETAILS", "Detalls del certificat"}, {
        "CERTIFICATE_LIST", "Certificat"}, {
        "CONFIRM_DELETE", "Suprimir el fitxer clau?"}, {
        "CUSTOMERID", "Id del client"}, {
        "DEFAULT_ERROR_MSG", "S'ha produit un error"}, {
        "DELETE_KEYFILE", "Suprimir el fitxer clau..."}, {
        "DLG_ABOUT_LGPL_NOTICE", "This is open source software, placed under the terms of the " +
        "GNU LESSER GENERAL PUBLIC LICENSE.\n" +
        "Please see: http://www.gnu.org/licenses/lgpl.txt or " +
        "opensign.license for details.\n" +
        "Permission to use, copy, modify, and distribute this software\n" +
        "for any purpose and without fee is hereby granted, provided\n" +
        "that the above copyright notices appear in all copies and that\n" +
        "both the copyright notice and this permission notice appear in\n" +
        "supporting documentation."}, {
        "DLG_ABOUT_MAJOR_CONTRIBUTORS", "Col·laboradors més importants:"}, {
        "DLG_ABOUT_NAME", "OpenSign"}, {
        "DLG_ABOUT_NAME_DETAILS", "Applet per la signatura digital i la identificació"}, {
        "DLG_CERTIFICATEDETAILS_BUTTON_CLOSE", "Tancar"}, {
        "DLG_CERTIFICATEDETAILS_HEADER", "Detalls del certificat"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_CERTIFICATESTORE", "Origen"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_CERTIFICATESTORE_PKCS12", "Fitxer PKCS12"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_CERTIFICATESTORE_UNKNOWN", "Desconegut"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_DATE_EXPIRY", "Caducitat"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_DATE_ISSUANCE", "Emès"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_ISSUERDN", "Emissor"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_KEYUSAGE", "Clau de sintaxi"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_KEYUSAGE_CRL_SIGN", "Signant CRL"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_KEYUSAGE_DATA_ENCIPHERMENT", "Xifrat de dades"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_KEYUSAGE_DIGITAL_SIGNATURE", "Signatura digital"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_KEYUSAGE_KEY_AGREEMENT", "Acord de claus"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_KEYUSAGE_KEY_CERT_SIGN", "Signatura de certificats"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_KEYUSAGE_KEY_ENCIPHERMENT", "Xifrat de claus"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_KEYUSAGE_NON_REPUDIATION", "No repudi"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_KEYUSAGE_NOT_AVAILABLE", "No disponible"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_SERIALNUMBER", "Número de sèrie"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_SUBJECTDN", "Titular"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_VERSION", "Versió"},  {
		"DLG_CPR_HEADER", "Introduir el número de la seguretat social"}, {
		"DLG_ERROR_HEADER", "Error"}, {
        "DLG_ERROR_TEXT_INVALID_PASSWORD", "S'ha produit un error. La contrasenya pot ser incorrecta"}, {
        "DLG_ERROR_TEXT_LOAD_FROM_FILE_FAILURE", "S'ha produit un error durant la càrrega del fitxer. La contrasenya pot ser incorrecta"}, {
        "DLG_ERROR_TEXT_GENERAL_LOAD_FROM_FILE_FAILURE", "El fitxer no ha estat reconegut com un certicat."}, {
        "DLG_INFO_BUTTON_OK", "D'acord"}, {
        "DLG_INFO_HEADER_BETA", "Nota important"}, {
        "DLG_INFO_HEADER_CERTIFICATE_LOADED", "Certificat carregat"}, {
        "DLG_INFO_HEADER_NO_KEYSTORES_AVAILABLE", "No hi ha magatzems de claus disponibles"}, {
        "DLG_INFO_TEXT_BETA", "Aquesta versió de l'applet OpenOces és beta. Nomès s'hauria de fer servir amb propòsit de fer proves"}, {
        "DLG_INFO_TEXT_CERTIFICATE_LOADED", "El certificat es pot fer servir per signar"}, {
        "DLG_INFO_TEXT_NO_KEYSTORES_AVAILABLE", "Informació"}, {
        "DLG_LOADFILE_HEADER", "Seleccionar un certificat des de fitxer..."}, {
        "DLG_PASSWORD_BUTTON_CANCEL", "Cancel·lar"}, {
        "DLG_PASSWORD_BUTTON_OK", "D'acord"}, {
        "DLG_PASSWORD_HEADER_PREFIX", "Introduir contrasenya per"}, {
		"DLG_PASSWORD_LABEL_CPR", "SSN"}, {
		"DLG_PASSWORD_LABEL_PASSWORD", "Contrasenya"}, {
		"DLG_PASSWORD_LABEL_PIN", "PIN"}, {
		"DLG_PINCODE_HEADER", "Codi PIN per la tarjeta CD"}, {
		"ERR_CREATE_KEY_DIR", "No s'ha pogut crear el directori del certificat al disc"}, {
        "ERR_WRONG_CERTIFICATE", "Aquest certificat no es pot fer servir per signar"}, {
        "ERR_WRONG_PASSWORD", "Contrasenya no vàlida"}, {
        "EXPORT", "Exportar..." }, {
        "FIND_CERTIFICATE", "Recerca certificat"}, {
        "FUNCTIONS", "Funcions >>"}, {
        "FUNCTIONS_MODERN", "Ubicar certificat..."}, {
        "FUNCTIONS_MODERN_LOGON", "Vés a..."}, {
        "HEADER_SIGNTEXT", "Sota es troba el document que es signarà"}, {
        "IMPORT", "Importar..." }, {
        "KEYSTORE_CDCARD", "Clau de la targeta CD"}, {
        "KEYSTORE_MS", "Magatzem intern de claus (CAPI)"}, {
        "KEYSTORE_PKCS12", "Fitxers de clau externes (PKCS12)"}, {
        "LOADING_CERTIFICATES", "S'estan carregant els certificats..."}, {
        "LOGONTO", "Entrar"}, {
        "LOGON_HOW_TO", "seleccionant el teu certificat i fent clic"}, {
        "LOGON_HOW_TO2", "Seleccionar el certificat i entrar"}, {
        "NO", "No"}, {
        "NO_CERTIFICATES", "No hi ha certificats"}, {
        "NO_KEYSTORES", "Aquest tipus de magatzem de claus no està disponible"}, {
        "OK", "D'acord"}, {
        "OK_SIGN_MODERN", "Signar"}, {
        "OK_LOGON_MODERN", "Entrada"}, {
        "PASSWORD", "Contrasenya"}, {
        "PATH", "Ubica el certificat..."}, {
	    "PLEASE_WAIT", "Per favor, esperi..."},{
        "PREFERENCES", "Preferències..."}, {
        "RESTORE_KEYFILE", "Restaurar còpia de seguretat"}, {
        "SEE", "http://it-practice.dk\nhttp://www.portalprotect.dk"}, {
        "SELECT_KEYSTORE", "Seleccionar magatzem de claus..." }, {
        "SOCIAL_SECURITY_NUMBER", "Número de la Seguretat Social"}, {
        "TITLE_LOGON", "Certificat X.509 OCES per identificar-se"}, {
        "TITLE_SIGN", "Signatura Digital OpenOCES"}, {
        "USERID", "Id de l'usuari"}, {
        "TITLE_SIGN", "Signatura Digital"}, {
        "WINDOW_MAIN_BUTTON_CANCEL", "Cancel·lar"}, {
        "WINDOW_MAIN_BUTTON_CHOOSE_FROM_FILE", "Seleccionar des de fitxer ..."}, {
        "WINDOW_MAIN_BUTTON_DETAILS", "Detalls ..."}, {
        "WINDOW_MAIN_BUTTON_SIGN", "Signar"}, {
        "WINDOW_MAIN_LABEL_CHOOSE_CERTIFICATE", "Selecccionar el certificat"}, {
        "YES", "Sí"}
    };
}
