package org.openoces.opensign.client.applet.bootstrap.downloads;

public class DownloadChecksums {
private static final byte[] opensignChecksum = {(byte) 0x5b,(byte) 0x26,(byte) 0xe0,(byte) 0xa2,(byte) 0xa6,(byte) 0x23,(byte) 0xf8,(byte) 0x19,(byte) 0x49,(byte) 0x55,(byte) 0xa2,(byte) 0x83,(byte) 0xc5,(byte) 0x8d,(byte) 0xf4,(byte) 0x23,(byte) 0xdb,(byte) 0xda,(byte) 0x2b,(byte) 0x6b,};
public static byte[] getopensignChecksum() { return opensignChecksum; }
private static final byte[] capiChecksum = {(byte) 0xab,(byte) 0x41,(byte) 0x6b,(byte) 0x00,(byte) 0xaf,(byte) 0xbf,(byte) 0xb7,(byte) 0xab,(byte) 0xb5,(byte) 0x2c,(byte) 0x21,(byte) 0x6b,(byte) 0x3e,(byte) 0xb2,(byte) 0x3f,(byte) 0xfc,(byte) 0x7c,(byte) 0x41,(byte) 0x53,(byte) 0x12,};
public static byte[] getcapiChecksum() { return capiChecksum; }
private static final byte[] cdcardChecksum = {(byte) 0x2a,(byte) 0x32,(byte) 0xe6,(byte) 0x20,(byte) 0xc7,(byte) 0xdc,(byte) 0xb2,(byte) 0x5c,(byte) 0xd3,(byte) 0x60,(byte) 0xc8,(byte) 0xfc,(byte) 0xf8,(byte) 0x5f,(byte) 0x40,(byte) 0x46,(byte) 0xe2,(byte) 0x4d,(byte) 0xc8,(byte) 0xe8,};
public static byte[] getcdcardChecksum() { return cdcardChecksum; }
private static final byte[] pkcs12Checksum = {(byte) 0xd4,(byte) 0x69,(byte) 0x96,(byte) 0x35,(byte) 0xc6,(byte) 0x52,(byte) 0xcb,(byte) 0x44,(byte) 0xad,(byte) 0x84,(byte) 0x41,(byte) 0x75,(byte) 0x8b,(byte) 0x9e,(byte) 0xcf,(byte) 0xf6,(byte) 0xb2,(byte) 0x77,(byte) 0x74,(byte) 0xf7,};
public static byte[] getpkcs12Checksum() { return pkcs12Checksum; }
private static final byte[] ocesChecksum = {(byte) 0xe9,(byte) 0xfe,(byte) 0x26,(byte) 0x3f,(byte) 0x39,(byte) 0x35,(byte) 0xfe,(byte) 0x6a,(byte) 0xb9,(byte) 0x53,(byte) 0xd9,(byte) 0x64,(byte) 0xfe,(byte) 0x4f,(byte) 0x24,(byte) 0xd5,(byte) 0xe5,(byte) 0x57,(byte) 0x32,(byte) 0x80,};
public static byte[] getocesChecksum() { return ocesChecksum; }
private static final byte[] jsseChecksum = {(byte) 0x3e,(byte) 0x53,(byte) 0x04,(byte) 0x35,(byte) 0x80,(byte) 0x4e,(byte) 0x98,(byte) 0x54,(byte) 0x3c,(byte) 0x19,(byte) 0x40,(byte) 0xde,(byte) 0x61,(byte) 0xcb,(byte) 0x71,(byte) 0x1d,(byte) 0xa7,(byte) 0x76,(byte) 0xa9,(byte) 0x34,};
public static byte[] getjsseChecksum() { return jsseChecksum; }
private static final byte[] bcjceChecksum = {(byte) 0x56,(byte) 0xe7,(byte) 0x28,(byte) 0x3d,(byte) 0x26,(byte) 0xea,(byte) 0x9c,(byte) 0xe4,(byte) 0xb0,(byte) 0xde,(byte) 0xf7,(byte) 0xa9,(byte) 0x30,(byte) 0x61,(byte) 0xff,(byte) 0x9a,(byte) 0xb3,(byte) 0x8e,(byte) 0x1e,(byte) 0x0b,};
public static byte[] getbcjceChecksum() { return bcjceChecksum; }
private static final byte[] mailsupportChecksum = {(byte) 0x00,(byte) 0x00,(byte) 0x00,(byte) 0x00,(byte) 0x00,(byte) 0x00,(byte) 0x00,(byte) 0x00,(byte) 0x00,(byte) 0x00,(byte) 0x00,(byte) 0x00,(byte) 0x00,(byte) 0x00,(byte) 0x00,(byte) 0x00,(byte) 0x00,(byte) 0x00,(byte) 0x00,(byte) 0x00,};
public static byte[] getmailsupportChecksum() { return mailsupportChecksum; }
private static final byte[] attachmentChecksum = {(byte) 0x01,(byte) 0x6d,(byte) 0x7c,(byte) 0xef,(byte) 0x10,(byte) 0x41,(byte) 0x1a,(byte) 0x92,(byte) 0xb1,(byte) 0xe7,(byte) 0xf2,(byte) 0x52,(byte) 0xbf,(byte) 0xc6,(byte) 0x6c,(byte) 0xf8,(byte) 0x08,(byte) 0x1b,(byte) 0xf8,(byte) 0x02,};
public static byte[] getattachmentChecksum() { return attachmentChecksum; }
public static int getopensignDataSize() { return 166871; }
public static int getcapiDataSize() { return 10637; }
public static int getcdcardDataSize() { return 63300; }
public static int getpkcs12DataSize() { return 8965; }
public static int getocesDataSize() { return 4151; }
public static int getjsseDataSize() { return 14542; }
public static int getbcjceDataSize() { return 316250; }
public static int getmailsupportDataSize() { return 0; }
public static int getattachmentDataSize() { return 33352; }
}