/*
<<<<<<< Resources_da_DK.java
    Copyright 2006 IT Practice A/S
    Copyright 2006 TDC Totalløsninger A/S
    Copyright 2006 Jens Bo Friis
    Copyright 2006 Preben Rosendal Valeur
    Copyright 2006 Carsten Raskgaard


    This file is part of OpenSign.

    OpenSign is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    (at your option) any later version.

    OpenSign is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with OpenOcesAPI; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


    Note to developers:
    If you add code to this file, please take a minute to add an additional
    copyright statement above and an additional
    @author statement below.
*/

/* $Id: Resources_da_DK.java,v 1.20 2006/10/15 08:38:20 cara Exp $ */

package org.openoces.opensign.client.applet.resources;

/**
 * da,DK specific resource class
 *
 * @author Jens Bo Friis  <jbf@it-practice.dk>
 * @author Carsten Raskgaard  <carsten@raskgaard.dk>
 * @author Preben Rosendal Valeur  <prv@tdc.dk>
 */

import java.util.ListResourceBundle;

public class Resources_da_DK extends ListResourceBundle {
    static final Object[][] contents = {
        // Standard error text
        {
        "ABOUT", "Om..."}, {
        "ABOUT_DETAILS", "Logon og digital signatur med OCES certifikater, med PID-CPR support"}, {
        "ATTACHMENT_LIST", "Bilag..."},{
        "BACKUP_KEYFILE", "Sikkerhedskopier nøglefilen..."}, {
        "CANCEL", "Afbryd"}, {
        "CANCEL_MODERN", "Fortryd"}, {
        "CANCEL_LOGON_MODERN", "Annuller"}, {
        "CERT_EMPLOYEE", "medarb"}, {
        "CERT_PERSONAL", "person"}, {
        "CERTIFICATE_DETAILS", "Certifikatdetaljer..."}, {
        "CERTIFICATE_LIST", "Certifikat"}, {
        "CONFIRM_DELETE", "Ønsker du at slette nøglefilen?"}, {
        "CONFIRM_ACCEPT_WRONG_CHECKSUM", "Checksum er forkert - fortsæt alligevel?"},{
        "CUSTOMERID", "Kundenummer"}, {
        "DEFAULT_ERROR_MSG", "Der er opstået en fejl"}, {
        "DELETE_KEYFILE", "Slet nøglefilen..."}, {
        "DLG_ABOUT_LGPL_NOTICE", "This is open source software, placed under the terms of the " +
        "GNU LESSER GENERAL PUBLIC LICENSE.\n" +
        "Please see: http://www.gnu.org/licenses/lgpl.txt or " +
        "opensign.license for details.\n" +
        "Permission to use, copy, modify, and distribute this software\n" +
        "for any purpose and without fee is hereby granted, provided\n" +
        "that the above copyright notices appear in all copies and that\n" +
        "both the copyright notice and this permission notice appear in\n" +
        "supporting documentation."}, {
        "DLG_ABOUT_MAJOR_CONTRIBUTORS", "Store bidragsydere:"}, {
        "DLG_ABOUT_NAME", "OpenSign"}, {
        "DLG_ABOUT_NAME_DETAILS", "Applet til digital signatur og logon"}, {
        "DLG_CERTIFICATEDETAILS_BUTTON_CLOSE", "Luk"}, {
        "DLG_CERTIFICATEDETAILS_HEADER", "Certificate details"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_CERTIFICATESTORE", "Certifikatlager"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_CERTIFICATESTORE_PKCS12", "PKCS12 fil"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_CERTIFICATESTORE_UNKNOWN", "Ukendt"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_DATE_EXPIRY", "Udløber"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_DATE_ISSUANCE", "Udstedt"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_ISSUERDN", "Udstedt af"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_KEYUSAGE", "Certifikat funktioner"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_KEYUSAGE_CRL_SIGN", "CRL signering"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_KEYUSAGE_DATA_ENCIPHERMENT", "Data kryptering"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_KEYUSAGE_DIGITAL_SIGNATURE", "Digital signatur"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_KEYUSAGE_KEY_AGREEMENT", "Nøgle aftale"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_KEYUSAGE_KEY_CERT_SIGN", "Certifikat signering"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_KEYUSAGE_KEY_ENCIPHERMENT", "Nøgle kryptering"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_KEYUSAGE_NON_REPUDIATION", "Uafviselighed"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_KEYUSAGE_NOT_AVAILABLE", "Ikke indeholdt i certifikatet"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_SERIALNUMBER", "serienummer"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_SUBJECTDN", "Udstedt til"}, {
        "DLG_CERTIFICATEDETAILS_LABEL_VERSION", "Version"}, {
        "DLG_CPR_HEADER", "Indtast CPR-nummer"}, {
        "DLG_ERROR_HEADER", "Error"}, {
        "DLG_ERROR_TEXT_INVALID_PASSWORD", "Der opstod fejl. Kodeordet kan være forkert indtastet"}, {
        "DLG_ERROR_TEXT_LOAD_FROM_FILE_FAILURE", "Der opstod en fejl ved indlæsningen af filen. Kodeordet kan være forkert."}, {
        "DLG_ERROR_TEXT_GENERAL_LOAD_FROM_FILE_FAILURE", "Filen kunne ikke genkendes som et certifikat."}, {
        "DLG_INFO_BUTTON_OK", "Ok"}, {
        "DLG_INFO_HEADER_BETA", "Vigtig Info"}, {
        "DLG_INFO_HEADER_CERTIFICATE_LOADED", "Certifikatindlæsning"}, {
        "DLG_INFO_HEADER_NO_KEYSTORES_AVAILABLE", "Ingen nøgledatabaser tilgængelige"}, {
        "DLG_INFO_TEXT_BETA", "Dette er en beta version af en OpenOCES applet. Den bør kun anvendes til test formål"}, {
        "DLG_INFO_TEXT_CERTIFICATE_LOADED", "Certifikatet kan nu anvendes til signering"}, {
        "DLG_INFO_TEXT_NO_KEYSTORES_AVAILABLE", "Info"}, {
        "DLG_LOADFILE_HEADER", "Læs certifikat fra fil..."}, {
        "DLG_PASSWORD_BUTTON_CANCEL", "Annuller"}, {
        "DLG_PASSWORD_BUTTON_OK", "Ok"}, {
        "DLG_PASSWORD_HEADER_PREFIX", "Indtast kodeord til"}, {
        "DLG_PINCODE_HEADER", "PIN-kode til CD kort"}, {
        "DLG_PASSWORD_LABEL_PASSWORD", "Kodeord"}, {
        "DLG_PASSWORD_LABEL_CPR", "Cpr"}, {
        "DLG_PASSWORD_LABEL_PIN", "PIN"}, {
        "ERR_CREATE_KEY_DIR", "Kan ikke oprettes certifikatkatalog på disken"}, {
        "ERR_WRONG_CERTIFICATE", "Dette certifikat kan ikke bruges til at signere med her"}, {
        "ERR_WRONG_PASSWORD", "Forkert kodeord"}, {
        "EXPORT","Eksporter..."}, {
        "FIND_CERTIFICATE", "Find certifikat"},{
        "FUNCTIONS", "Funktioner >>"}, {
        "FUNCTIONS_MODERN", "Find certifikat..."}, {
        "FUNCTIONS_MODERN_LOGON", "Gennemse..."}, {
        "IMPORT", "Importer..."}, {            
        "KEYSTORE_CDCARD", "Signatur på CD kort"}, {
        "KEYSTORE_MS", "Intern nøgledatabase (CAPI)"}, {
        "KEYSTORE_PKCS12", "Eksterne nøglefiler (PKCS12)"}, {
        "HEADER_SIGNTEXT", "Nedenfor ser du det dokument du skal underskrive"}, {
        "LOADING_CERTIFICATES", "Indlæser certifikater..."}, {
        "LOGONTO", "Log ind på"}, {
        "LOGON_HOW_TO", "ved at vælge din digitale signatur og klik"}, {
        "LOGON_HOW_TO2", "Vælg digital signatur og log ind på"}, {
        "NO", "Nej"}, {
        "NO_CERTIFICATES", "Ingen certifikater"}, {
        "NO_KEYSTORES", "Ingen tilgængelige nøgledatabaser"}, {
        "OK", "OK"}, {
        "OK_SIGN_MODERN", "Underskriv"}, {
        "OK_LOGON_MODERN", "OK"}, {
        "PASSWORD", "Kodeord"}, {
        "PATH", "Find certifikat..."}, {
        "PLEASE_WAIT", "Vent venligst..."}, {
        "PREFERENCES", "Opsætning..."}, {
        "RESTORE_KEYFILE", "Gendan sikkerhedskopi"}, {
        "SEE", "http://it-practice.dk\nhttp://www.portalprotect.dk"}, {
        "SELECT_KEYSTORE","Vælg nøgledatabase..."}, {
        "SOCIAL_SECURITY_NUMBER", "CPR"}, {
        "TITLE_LOGON", "X.509 OCES certifikat logon"}, {
        "TITLE_SIGN", "OpenOCES digital signatur"}, {
        "USERID", "Brugerid"}, {
        "WINDOW_MAIN_BUTTON_CANCEL", "Annuller"}, {
        "WINDOW_MAIN_BUTTON_CHOOSE_FROM_FILE", "Vælg fra fil..."}, {
        "WINDOW_MAIN_BUTTON_DETAILS", "Detaljer..."}, {
        "WINDOW_MAIN_BUTTON_SIGN", "Underskriv"}, {
        "WINDOW_MAIN_LABEL_CHOOSE_CERTIFICATE", "Vælg certifikat"}, {
        "YES", " Ja"}
    };

    /**
     * @see ListResourceBundle#getContents()
     */
    protected Object[][] getContents() {
        return contents;
    }
}
